aboutsummaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorJ Pipkin <j@dawnrazor.net>2013-01-12 07:14:20 -0600
committerJ Pipkin <j@dawnrazor.net>2013-01-12 07:14:20 -0600
commit32abf3c7e9183cfe79019c748e588496722f7426 (patch)
tree7d9cd861e15595abebdda688fb6066e82febba62 /tools
parentb2a26f795d32e398bfc3dbfc13882419bd3ba929 (diff)
parentf177c4e5c4311e696373c77e593df452c7602d13 (diff)
downloadsbotools2-32abf3c7e9183cfe79019c748e588496722f7426.tar.xz
Merge branch 'exit_ask', fixes #41, fixes #37
Diffstat (limited to 'tools')
-rwxr-xr-xtools/masstest_sbo.sh28
1 files changed, 17 insertions, 11 deletions
diff --git a/tools/masstest_sbo.sh b/tools/masstest_sbo.sh
index 478a848..06d6609 100755
--- a/tools/masstest_sbo.sh
+++ b/tools/masstest_sbo.sh
@@ -2,16 +2,16 @@
# set DISTCLEAN TRUE to preserve space
sboconfig -d TRUE
+# clear out work directories and distfiles
+sboclean -dw
SBOS=$(find /usr/sbo -type f -iname \*.info | sed -r 's|.*/([^/]+)\.info$|\1|g');
TLOG=~/tmp.log
-FLOG=~/fail.log
ILOG=~/install.log
RLOG=~/remove.log
# zero out logs in case they have content from previous run
-:> $FLOG
:> $ILOG
:> $RLOG
@@ -24,11 +24,21 @@ function build_things() {
fi
done
echo "=============" > $TLOG
- echo "sboupgrade -oNr $1" >> $TLOG
- sboupgrade -oNr $i >> $TLOG 2>&1
- if [[ $? != "0" ]]; then
- echo "" >> $FLOG
- cat $TLOG >> $FLOG
+ echo "sboinstall -r $1" >> $TLOG
+ sboinstall -r $1 >> $TLOG 2>&1
+ case "$?" in
+ "0") OLOG="" ;;
+ "3") OLOG=~/build.fail.log ;;
+ "4") OLOG=~/md5sum.fail.log ;;
+ "5") OLOG=~/wget.fail.log ;;
+ "7") OLOG=~/noinfo.fail.log ;;
+ "9") OLOG=~/nomulti.fail.log ;;
+ esac
+ if [[ "$OLOG" != "" ]]; then
+ if ! grep -q "^$1 added to build queue.$" $OLOG; then
+ echo "" >> $OLOG
+ cat $TLOG >> $OLOG
+ fi
fi
echo "" >> $ILOG
cat $TLOG >> $ILOG
@@ -44,10 +54,6 @@ function remove_things() {
echo "=============" > $TLOG
echo "sboremove --nointeractive $1" >> $TLOG
sboremove --nointeractive $1 >> $TLOG 2>&1
- if [[ $? != 0 ]]; then
- echo "" >> $FLOG
- cat $TLOG >> $FLOG
- fi
echo "" >> $RLOG
cat $TLOG >> $RLOG
:> $TLOG